Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 419943 - dev-vcs/git-flow: Ebuild request
Summary: dev-vcs/git-flow: Ebuild request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Johannes Huber
URL: https://github.com/nvie/gitflow
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2012-06-06 15:43 UTC by Moritz Schlarb
Modified: 2014-03-22 15:50 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for git-flow-0.4.1 (git-flow-0.4.1.ebuild,1.06 KB, text/plain)
2012-06-06 15:43 UTC, Moritz Schlarb
Details
Makefile patch to use the installed shflags (system-shflags.patch,941 bytes, patch)
2012-06-06 15:43 UTC, Moritz Schlarb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Schlarb 2012-06-06 15:43:10 UTC
Created attachment 314431 [details]
Ebuild for git-flow-0.4.1

git-flow are Git extensions to provide high-level repository operations for Vincent Driessen's branching model.

The homepage is https://github.com/nvie/gitflow.

I have written an ebuild that I try to submit to the sunrise overlay.
Comment 1 Moritz Schlarb 2012-06-06 15:43:57 UTC
Created attachment 314433 [details, diff]
Makefile patch to use the installed shflags
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2012-06-06 19:03:53 UTC
Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Thanks,
On behalf of the Gentoo Sunrise Team,
Markos.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 3 Johannes Huber gentoo-dev 2014-03-16 21:07:00 UTC
Thank you for reporting. I will maintain this. Will import the ebuild to my dev overlay first and make some changes. So it will hit the tree in near future.
Comment 4 Johannes Huber gentoo-dev 2014-03-17 22:29:53 UTC
(In reply to Johannes Huber from comment #3)
> Thank you for reporting. I will maintain this. Will import the ebuild to my
> dev overlay first and make some changes. So it will hit the tree in near
> future.


If anybody wants to test the ebuild feel free to do so: layman -a johu && emerge dev-vcs/git-flow

Will move it in the next few days to the tree.
Comment 5 Johannes Huber gentoo-dev 2014-03-22 15:50:30 UTC
Thank you for reporting. This is fixed in cvs now. Please sync in some hours to get the changes.

+
+  22 Mar 2014; Johannes Huber <johu@gentoo.org> +git-flow-0.4.1.ebuild,
+  +files/git-flow-0.4.1-unbundle-shflags.patch, +metadata.xml:
+  New package wrt bug #419943. Import from johu overlay. Initial ebuild by
+  Moritz Schlarb <moschlar@metalabs.de>.
+